AOWP_PHPObjectOperatorElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPObjectOperatorElement
/parser/ast/PHPObjectOperatorElement.class.php at line 20

# Class AOWP_PHPObjectOperatorElement

    AOWP_PHPElement
        └─AOWP_PHPObjectOperatorElement

public class AOWP_PHPObjectOperatorElement
extends AOWP_PHPElement

PHPObjectOperatorElement PHPのASTにおける「->」を表すクラス 文法規則: expr_without_variable

Author:
  Ryoto Naruse $hoge->a->b->c;

Field Summary
AOWP_PHPVariableElement | $expr "->"の左側のトークンを表すASTインスタンス。 例えば、 $a->b->c(); の場合、$aを表すインスタンス。 型は、{@link AOWP_PHPVariableElement}。 (要調査)
array | $objectProperties "->"の右側のトークンを左から順に格納した配列。 例えば、 $a->b->c(); の場合、array(bを表すインスタンス, cを表すインスタンス)の長さ2の配列となる。 配列要素の型は、{@link AOWP_PHPObjectPropertyElement}。

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPObjectOperatorElement(mixed _line, mixed expr, mixed objectProperties)

Method Summary
void | __toString()
void | addObjectProperty(mixed element)
AOWP_PHPObjectPropertyElement | getFirstObjectProperty()
void | getLeftExpr()
string | getLeftVariableName() 左端の変数名を取得する。
mixed | getObjectPropertyIndex(mixed objectPropertyElement, $objectPropertyElement ) 引き数のAST要素が、このクラスのインスタンスの {@link AOWP_PHPObjectOperatorElement::objectProperties}の 何番目の要素かを取得します。 もし、引き数のAST要素が、objectProperties に含まれない場合、nullを返します。
int | getPropertyCount()
void | kind()
string | setLeftVariableName(mixed variableNameString, $variableNameString )

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPObjectOperatorElement.class.php at line 32

### expr

`public AOWP_PHPVariableElement $expr`

"->"の左側のトークンを表すASTインスタンス。 例えば、 `$a->b->c();` の場合、$aを表すインスタンス。 型は、`AOWP_PHPVariableElement`。 (要調査)

/parser/ast/PHPObjectOperatorElement.class.php at line 45

### objectProperties

`public array $objectProperties`

"->"の右側のトークンを左から順に格納した配列。 例えば、 `$a->b->c();` の場合、array(bを表すインスタンス, cを表すインスタンス)の長さ2の配列となる。 配列要素の型は、`AOWP_PHPObjectPropertyElement`。

## Constructor Detail

/parser/ast/PHPObjectOperatorElement.class.php at line 47

### AOWP_PHPObjectOperatorElement

`public AOWP_PHPObjectOperatorElement(mixed _line, mixed expr, mixed objectProperties)`

## Method Detail

/parser/ast/PHPObjectOperatorElement.class.php at line 118

### __toString

`public void __toString()`

/parser/ast/PHPObjectOperatorElement.class.php at line 68

### addObjectProperty

`public void addObjectProperty(mixed element)`

/parser/ast/PHPObjectOperatorElement.class.php at line 93

### getFirstObjectProperty

`public AOWP_PHPObjectPropertyElement getFirstObjectProperty()`

/parser/ast/PHPObjectOperatorElement.class.php at line 64

### getLeftExpr

`public void getLeftExpr()`

/parser/ast/PHPObjectOperatorElement.class.php at line 60

### getLeftVariableName

`public string getLeftVariableName()`

左端の変数名を取得する。

/parser/ast/PHPObjectOperatorElement.class.php at line 80

### getObjectPropertyIndex

`public mixed getObjectPropertyIndex(mixed objectPropertyElement, $objectPropertyElement )`

引き数のAST要素が、このクラスのインスタンスの `AOWP_PHPObjectOperatorElement::objectProperties`の 何番目の要素かを取得します。 もし、引き数のAST要素が、objectProperties に含まれない場合、nullを返します。

/parser/ast/PHPObjectOperatorElement.class.php at line 101

### getPropertyCount

`public int getPropertyCount()`

/parser/ast/PHPObjectOperatorElement.class.php at line 114

### kind

`public void kind()`

/parser/ast/PHPObjectOperatorElement.class.php at line 110

### setLeftVariableName

`public string setLeftVariableName(mixed variableNameString, $variableNameString )`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr